clang 10.0.0git

Public Member Functions | List of all members
clang::ExternalHeaderFileInfoSource Class Referenceabstract

An external source of header file information, which may supply information about header files already included. More...

`#include "clang/Lex/HeaderSearch.h"`

Inheritance diagram for clang::ExternalHeaderFileInfoSource:
[legend]

## Public Member Functions
virtual | ~ExternalHeaderFileInfoSource ()
virtual HeaderFileInfo | GetHeaderFileInfo (const FileEntry *FE)=0
| Retrieve the header file information for the given file entry. More...

## Detailed Description

An external source of header file information, which may supply information about header files already included.

Definition at line 133 of file HeaderSearch.h.

## Constructor & Destructor Documentation

## ◆ ~ExternalHeaderFileInfoSource()

ExternalHeaderFileInfoSource::~ExternalHeaderFileInfoSource | ( |  | ) |
| virtual default

Referenced by clang::HeaderFileInfo::getControllingMacro().

## Member Function Documentation

## ◆ GetHeaderFileInfo()

virtual HeaderFileInfo clang::ExternalHeaderFileInfoSource::GetHeaderFileInfo | ( | const FileEntry * | FE | ) |
| pure virtual

Retrieve the header file information for the given file entry.

Returns
  Header file information for the given file entry, with the `External` bit set. If the file entry is not known, return a default-constructed `HeaderFileInfo`.

Implemented in clang::ASTReader.

The documentation for this class was generated from the following files:

- include/clang/Lex/HeaderSearch.h
- lib/Lex/HeaderSearch.cpp